## stfl 0.18

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 include Makefile.cfg
 
-export CC = gcc
+export CC = gcc -pthread
 export CFLAGS += -I. -Wall -Os -ggdb -D_GNU_SOURCE -fPIC
 export LDLIBS += -lncursesw
 
@@ -46,7 +46,7 @@
 
 Makefile.deps: *.c widgets/*.c *.h
 	$(CC) -I. -MM *.c > Makefile.deps_new
-	$(CC) -I. -MM widgets/*.c | sed -r 's,^wt_[^ ]*\.o: ,widgets/&,' >> Makefile.deps_new
+	$(CC) -I. -MM widgets/*.c | sed 's,^wt_[^ ]*\.o: ,widgets/&,' >> Makefile.deps_new
 	mv -f Makefile.deps_new Makefile.deps
 
 install: all
