## stfl 0.22

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 export LDLIBS += -lncursesw
 
 SONAME  := libstfl.so.0
-VERSION := 0.21
+VERSION := 0.22
 
 all: libstfl.so.$(VERSION) libstfl.a example
 
@@ -39,7 +39,7 @@
 
 libstfl.so.$(VERSION): public.o base.o parser.o dump.o style.o binding.o iconv.o \
                        $(patsubst %.c,%.o,$(wildcard widgets/*.c))
-	$(CC) -shared -Wl,-soname,$(SONAME) -o $@ $^
+	$(CC) -shared -Wl,-soname,$(SONAME) -o $@ $(LDLIBS) $^
 
 clean:
 	rm -f libstfl.a example core core.* *.o Makefile.deps
