=== debian/changelog ===
stfl (0.22-5) unstable; urgency=medium

  * QA upload.
  * Build with "Rules-Requires-Root: no" (Closes: #1089442)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Dec 2024 15:07:16 +0100

stfl (0.22-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Replaced obsolete libncursesw5-dev build dependency with libncurses-dev.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 10 Oct 2024 01:40:34 +0200

stfl (0.22-3) unstable; urgency=medium

  * QA upload.
  * Fix "missing required debian/rules targets build-arch and/or build-
    indep": Add missing targets.
    (Closes: #998929)
  * debian/rules: make usage of perl's $Config{vendorarch}
    cross-build-compatible.
  * debian/control: remove Section extra for transitional packages.
    Should be optional now, which is the same as in the source stanza.
  * Remove debian/libstfl0.post{install,rm}.
    The ldconfig call happens via a trigger which is generated by debhelper.
  * Remove trailing whitespace from debian/*.

 -- gregor herrmann <gregoa@debian.org>  Sat, 25 Dec 2021 19:09:01 +0100

stfl (0.22-2) unstable; urgency=medium

  * QA upload.
  * Drop python-stfl package, unused and python2 only; Closes: #938570
  * debian/control
    - drop Vcs* fields, were still pointint to alioth
    - set maintainer to the QA team

 -- Sandro Tosi <morph@debian.org>  Sun, 29 Sep 2019 15:46:30 -0400

stfl (0.22-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "build-depends on spl-dev which is gone from the archive":
    - d/control: Drop the libstfl-spl binary package.
    - d/control: Drop spl-dev from build-depends.
    - d/libstfl-spl.*: Remove.
    - d/rules: Set 'FOUND_SPL' to '0'.
    (Closes: #805366)

 -- Unit 193 <unit193@ubuntu.com>  Wed, 09 Dec 2015 01:15:13 -0500

stfl (0.22-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    - remove debian/libstfl-perl.dirs, not needed
    - create debian/libstfl-perl.install during build, using
      $Config{vendorarch}
    (Closes: #752815)

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Aug 2014 19:20:45 +0200

stfl (0.22-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert Ruby build system to dh_ruby, to build for Ruby 1.9/2.0.
    (Closes: #722382)

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 12 Feb 2014 02:06:19 +0100

stfl (0.22-1) unstable; urgency=low

  * New upstream version:
    - Fix widget overflows if multi-column characters are entered
      (Closes: #603276).
    - Fix that richtext is not multi-column caracters aware
      (Closes: #603334).
    - Fix that stfl_modify takes long time if a form has many widgets
      (Closes: #604770).
  * libstfl-dev: add missing strict dependency on libstfl0 (Closes: #646199).
  * libstfl0: do not depend on libncursesw5-dev (Closes: #646201).
    - Thanks Sven Joachim for both, this should've been noticed way earlier.
  * Convert package to dh_python2 (Closes: #617072).
  * Bump standards version, no changes needed.
  * Add ${misc:Depends} to binary packages where it was missing.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump minor version in symbol files and link file.

 -- Nico Golde <nion@debian.org>  Tue, 25 Oct 2011 16:01:40 +0200

stfl (0.21-2) unstable; urgency=low

  * Adapt package to build with ruby 1.9.1 rather than 1.9 (Closes: #565844).

 -- Nico Golde <nion@debian.org>  Tue, 19 Jan 2010 10:18:07 +0100

stfl (0.21-1) unstable; urgency=low

  * New upstream release
    - allows overwriting key values for page up/down (Closes: #479650).
    - introduce libstfl0 as upstream builds a shared library now.
    - Added libstfl0.symbols.
  * debian/rules:
    - use py_sitename macro to copy all python modules in to the right path.
    - include /usr/share/python/python.mk (needed to build with Python 2.6).
    - additionally adjust debian/python-stfl.install to install all python
      modules into /usr/lib/pythonX.Y/*-packages.
      Thanks Alessio Treglia (Closes: #528715).
  * Bump policy version, no changes needed.
  * Fix duplicate short descriptions.
  * Remove Michael Mende from uploaders as it seems he is not interested
    in this package anymore. Thanks a lot for your previous work!

 -- Nico Golde <nion@debian.org>  Tue, 22 Sep 2009 12:48:17 +0200

stfl (0.20-2) unstable; urgency=low

  * Add pkg config file to -dev package (Closes: #528394)

 -- Nico Golde <nion@debian.org>  Tue, 12 May 2009 22:58:49 +0200

stfl (0.20-1) unstable; urgency=low

  * New upstream release.
  * Bump policy version, no changes needed.
  * We have a ruby section now, changed section fields for
    ruby related packages.
  * Adjust copyright years.
  * Remove section for libstfl-dev as this is inherited from the
    source package.

 -- Nico Golde <nion@debian.org>  Mon, 27 Apr 2009 16:24:58 +0200

stfl (0.19-1) unstable; urgency=low

  * New upstream release.
  * Bump policy version to 3.8.0, no changes needed.
  * Bump debhelper compat level.
  * Fix spelling error in python-stfl description (python->Python).

 -- Nico Golde <nion@debian.org>  Mon, 27 Apr 2009 16:10:53 +0200

stfl (0.18-3) unstable; urgency=low

  * Apply patch by Kusanagi Kouichi to prevent a segfault
    if the root widget was replaced (Closes: #476256).
  * Bump compat level to 6 as it is the default now.
  * Fix spelling-error-in-description python Python by writing
    python in lowercase letters in the description.

 -- Nico Golde <nion@debian.org>  Thu, 01 May 2008 14:08:01 +0200

stfl (0.18-2) unstable; urgency=low

  * Change ruby library path for ruby1.9 as it changed with the upload
    of ruby 1.9.0.0-1 (Closes: #458714).

