=== debian/control ===
Source: stfl
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb,
               libncurses-dev,
               swig,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Section: libdevel
XS-Ruby-Versions: all
Homepage: http://www.clifford.at/stfl/
Vcs-Browser: https://salsa.debian.org/debian/stfl
Vcs-Git: https://salsa.debian.org/debian/stfl.git

Package: libstfl0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: structured terminal forms language/library
 stfl is a library which implements a curses-based widget set for text
 terminals.
 .
 This package contains the shared library for libstfl.

Package: libstfl-dev
Architecture: any
Depends: libncurses-dev,
         libstfl0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: development files for libstfl
 stfl is a library which implements a curses-based widget set for text
 terminals.
 .
 This package contains the development files required to
 build software that uses libstfl.

Package: libstfl-perl
Section: perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
Description: Perl bindings for the structured terminal forms language/library
 stfl is a library which implements a curses-based widget set for text
 terminals.
 .
 This package contains the perl bindings to libstfl.

Package: libstfl-ruby1.8
Section: oldlibs
Architecture: any
Depends: libstfl-ruby,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Ruby 1.8 bindings for the structured terminal forms language/library
 stfl is a library which implements a curses-based widget set for text
 terminals.
 .
 This is a transitional package and can be safely removed.

Package: libstfl-ruby1.9.1
Section: oldlibs
Architecture: any
Depends: libstfl-ruby,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Ruby 1.9.1 bindings for the structured terminal forms language/library
 stfl is a library which implements a curses-based widget set for text
 terminals.
 .
 This is a transitional package and can be safely removed.

Package: libstfl-ruby
Section: ruby
Architecture: any
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends},
X-DhRuby-Root: ruby
Description: Ruby bindings for the structured terminal forms language/library
 stfl is a library which implements a curses-based widget set for text
 terminals.
