=== debian/watch ===
version=3
https://www.clifford.at/stfl/stfl-(.*)\.tar\.gz
